package com.tmerclub.cloud.flow.vo;

import io.swagger.v3.oas.annotations.media.Schema;

/**
 * 单个商品趋势图
 * @author gaozijie
 * @date 2023-10-09
 */
public class SingleProdTrendVO {

    @Schema(description = "当前日期")
    private String currentDay;

    @Schema(description = "访客数")
    private Integer visitor;

    @Schema(description = "浏览量")
    private Long browse;

    @Schema(description = "支付人数")
    private Integer payPerson;

    @Schema(description = "支付商品件数")
    private Integer payNum;

    public SingleProdTrendVO() {
    }

    public String getCurrentDay() {
        return currentDay;
    }

    public void setCurrentDay(String currentDay) {
        this.currentDay = currentDay;
    }

    public Integer getVisitor() {
        return visitor;
    }

    public void setVisitor(Integer visitor) {
        this.visitor = visitor;
    }

    public Long getBrowse() {
        return browse;
    }

    public void setBrowse(Long browse) {
        this.browse = browse;
    }

    public Integer getPayPerson() {
        return payPerson;
    }

    public void setPayPerson(Integer payPerson) {
        this.payPerson = payPerson;
    }

    public Integer getPayNum() {
        return payNum;
    }

    public void setPayNum(Integer payNum) {
        this.payNum = payNum;
    }

    @Override
    public String toString() {
        return "SingleProdTrendVO{" +
                "currentDay='" + currentDay + '\'' +
                ", visitor=" + visitor +
                ", browse=" + browse +
                ", payPerson=" + payPerson +
                ", payNum=" + payNum +
                '}';
    }
}
